Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2046801 - pcl: FTBFS in Fedora rawhide/f36
Summary: pcl: FTBFS in Fedora rawhide/f36
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: pcl
Version: 36
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rich Mattes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 2046217
Blocks: F38FTBFS F39FTBFS F36FTBFS F37FTBFS
TreeView+ depends on / blocked
 
Reported: 2022-01-27 09:29 UTC by Fedora Release Engineering
Modified: 2023-04-25 18:25 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-04-25 18:25:25 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2022-01-27 09:29 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2022-01-27 09:29 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2022-01-27 09:29 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2022-01-27 09:29:48 UTC
pcl failed to build from source in Fedora rawhide/f36

https://koji.fedoraproject.org/koji/taskinfo?taskID=81984842


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild
Please fix pcl at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
pcl will be orphaned. Before branching of Fedora 37,
pcl will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 1 Fedora Release Engineering 2022-01-27 09:29:50 UTC
Created attachment 1856029 [details]
build.log

Comment 2 Fedora Release Engineering 2022-01-27 09:29:52 UTC
Created attachment 1856030 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2022-01-27 09:29:53 UTC
Created attachment 1856031 [details]
state.log

Comment 4 Rich Mattes 2022-01-29 21:23:15 UTC
It looks like VTK is missing a dependency on java-devel. find_package(VTK) comes back with VTK::Java in the list:

-- VTK version: 9.1.0
-- VTK rendering backend: OpenGL2
-- VTK Qt support: YES
-- VTK libs: VTK::WrappingTools;VTK::WebPython;VTK::WebCore;VTK::Python;VTK::vtksys;VTK::WebGLExporter;VTK::ViewsQt;VTK::ViewsInfovis;VTK::CommonColor;VTK::Java;VTK::ViewsContext2D;VTK::loguru;VTK::TestingRendering;VTK::TestingCore;VTK::RenderingTk;VTK::RenderingQt;VTK::PythonContext2D;VTK::RenderingVolumeOpenGL2;VTK::glew;VTK::opengl;VTK::PythonInterpreter;VTK::RenderingLabel;VTK::octree;VTK::RenderingLOD;VTK::RenderingImage;VTK::RenderingContextOpenGL2;VTK::IOVeraOut;VTK::hdf5;VTK::IOTecplotTable;VTK::IOSegY;VTK::IOParallelXML;VTK::IOPLY;VTK::IOOggTheora;VTK::theora;VTK::ogg;VTK::IONetCDF;VTK::netcdf;VTK::IOMySQL;VTK::TestingIOSQL;VTK::IOMotionFX;VTK::pegtl;VTK::IOParallel;VTK::jsoncpp;VTK::RenderingParallel;VTK::IOMINC;VTK::IOLSDyna;VTK::IOInfovis;VTK::libxml2;VTK::zlib;VTK::IOImport;VTK::IOIOSS;VTK::ioss;VTK::exodusII;VTK::cgns;VTK::IOHDF;VTK::IOVideo;VTK::IOMovie;VTK::IOExportPDF;VTK::libharu;VTK::IOExportGL2PS;VTK::RenderingGL2PSOpenGL2;VTK::gl2ps;VTK::png;VTK::IOExport;VTK::RenderingVtkJS;VTK::IOGeometry;VTK::RenderingSceneGraph;VTK::IOExodus;VTK::IOEnSight;VTK::IOCityGML;VTK::pugixml;VTK::IOChemistry;VTK::IOCONVERGECFD;VTK::IOCGNSReader;VTK::IOAsynchronous;VTK::IOAMR;VTK::InteractionImage;VTK::InfovisBoostGraphAlgorithms;VTK::InfovisBoost;VTK::ImagingStencil;VTK::ImagingStatistics;VTK::ImagingOpenGL2;VTK::ImagingMorphological;VTK::ImagingMath;VTK::ImagingFourier;VTK::GUISupportQtSQL;VTK::IOSQL;VTK::sqlite;VTK::GUISupportQtQuick;VTK::GUISupportQt;VTK::GeovisGDAL;VTK::IOGDAL;VTK::GeovisCore;VTK::libproj;VTK::InfovisLayout;VTK::ViewsCore;VTK::InteractionWidgets;VTK::RenderingVolume;VTK::RenderingAnnotation;VTK::ImagingHybrid;VTK::ImagingColor;VTK::InteractionStyle;VTK::FiltersTopology;VTK::FiltersSelection;VTK::FiltersSMP;VTK::FiltersPython;VTK::FiltersProgrammable;VTK::FiltersPoints;VTK::FiltersVerdict;VTK::verdict;VTK::FiltersParallelImaging;VTK::FiltersImaging;VTK::ImagingGeneral;VTK::FiltersHyperTree;VTK::FiltersGeneric;VTK::TestingGenericBridge;VTK::FiltersFlowPaths;VTK::eigen;VTK::FiltersAMR;VTK::FiltersParallel;VTK::IOParallelExodus;VTK::FiltersTexture;VTK::FiltersModeling;VTK::FiltersHybrid;VTK::DomainsMicroscopy;VTK::DomainsChemistryOpenGL2;VTK::RenderingOpenGL2;VTK::RenderingUI;VTK::DomainsChemistry;VTK::CommonPython;VTK::WrappingPythonCore;VTK::CommonArchive;VTK::ChartsCore;VTK::InfovisCore;VTK::FiltersExtraction;VTK::ParallelDIY;VTK::diy2;VTK::IOXML;VTK::IOXMLParser;VTK::expat;VTK::ParallelCore;VTK::IOLegacy;VTK::IOCore;VTK::doubleconversion;VTK::lz4;VTK::lzma;VTK::utf8;VTK::FiltersStatistics;VTK::ImagingSources;VTK::IOImage;VTK::DICOMParser;VTK::jpeg;VTK::metaio;VTK::tiff;VTK::RenderingContext2D;VTK::RenderingFreeType;VTK::freetype;VTK::kwiml;VTK::RenderingCore;VTK::FiltersSources;VTK::ImagingCore;VTK::FiltersGeometry;VTK::FiltersGeneral;VTK::fmt;VTK::CommonComputationalGeometry;VTK::FiltersCore;VTK::CommonExecutionModel;VTK::CommonDataModel;VTK::CommonSystem;VTK::CommonMisc;VTK::exprtk;VTK::CommonTransforms;VTK::CommonMath;VTK::kissfft;VTK::CommonCore;VTK::cli11

Which requires a JDK to be installed:

-- Configuring done
CMake Error in apps/CMakeLists.txt:
  Imported target "VTK::Java" includes non-existent path
    "/usr/lib/jvm/java/include"
  in its INTERFACE_INCLUDE_DIRECTORIES.  Possible reasons include:
  * The path was deleted, renamed, or moved to another location.
  * An install or uninstall procedure did not complete successfully.
  * The installation package was faulty and references files it does not
  provide.


It looks like the spec is making a vtk-java-devel subpackage to satisfy this dependency, but I don't see it in e.g. the koji package lists yet.  I'll try to BR vtk-java-devel to work around this.

Comment 5 Ben Cotton 2022-02-08 20:25:24 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 36 development cycle.
Changing version to 36.

Comment 6 Rich Mattes 2022-02-12 17:00:32 UTC
Worked around this for now by adding a BuildRequires: java-devel to PCL's spec file.  That satisfies the vtk java library's missing dependency.

Comment 7 Till Hofmann 2022-07-17 09:21:55 UTC
If I see it correctly this can be closed because the issue has been fixed?

https://koji.fedoraproject.org/koji/buildinfo?buildID=1984527

Thanks for fixing the FTBFS!

Comment 8 Ben Cotton 2023-04-25 18:23:27 UTC
This message is a reminder that Fedora Linux 36 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora Linux 36 on 2023-05-16.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
'version' of '36'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, change the 'version' 
to a later Fedora Linux version. Note that the version field may be hidden.
Click the "Show advanced fields" button if you do not see it.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora Linux 36 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora Linux, you are encouraged to change the 'version' to a later version
prior to this bug being closed.


Note You need to log in before you can comment on or make changes to this bug.